package com.futu.course.cupons.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.futu.course.cupons.domain.Coupon;
import com.futu.course.cupons.service.CouponService;
import com.futu.course.cupons.mapper.CouponMapper;
import com.futu.course.user.domain.User;
import com.futu.course.user.domain.UserCoupon;
import com.futu.course.user.mapper.UserCouponMapper;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

/**
* @author yuu
* @description 针对表【coupon(优惠券)】的数据库操作Service实现
* @createDate 2025-05-05 18:53:35
*/
@Service
public class CouponServiceImpl extends ServiceImpl<CouponMapper, Coupon>
    implements CouponService{

    @Resource
    private UserCouponMapper userCouponMapper;

    @Resource
    private RedisTemplate redisTemplate;

    @Override
    public List<Coupon> findAll(BigDecimal primary) {
        User user = (User) redisTemplate.opsForValue().get("user");
        System.err.println(user.getId());


        return null;
    }
}




